/*
Author:
Sreekumar Thaithara Balan 

Name:
main.cc

Version:
0.7

Last modified:
30-03-2008

Purpose:
1. Defines the user interface
2. Chek for state data

Implements:
1. main()

Todo:

References:

License:
GNU General Public License
This file is part of Exofit.

Exofit is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Exofit is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Exofit; see the file COPYING.  If not, write to
the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
Boston, MA 02110-1301, USA.

*/


#include<iostream>
#include<string>
#include<cstdlib>

void rv_planet_search(std::string rv_data_file,int n_planets);
int main(int argc,char *argv[])
{
  if(argc==3)
    {
      std::string arg_np=argv[1];
      std::string p1="-p=1"; //a naive way of doing this
      std::string p2="-p=2";
      if(p1.compare(arg_np)==0)
	rv_planet_search(argv[2],1);
      else if(p2.compare(arg_np)==0)
	rv_planet_search(argv[2],2);
      else
	std::cout<<"Unknown option: "<<argv[1]<<"\n";
    }
  else if(argc ==2)
    rv_planet_search(argv[1],1);
  else
    std::cout<<"Usage: "<<argv[0]<<" [OPTION] <data_file>\n";
  return 0;
}


