/*
Author:
Sreekumar Thaithara Balan 

Name:
control_system.cc

Version:
0.7

Last modified:
30-03-2008

Purpose:

1. Defines the interface Mcmc

Implements:

Todo:

References:

License:
GNU General Public License
This file is part of Exofit.

Exofit is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Exofit is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Exofit; see the file COPYING.  If not, write to
the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
Boston, MA 02110-1301, USA.

*/

#ifndef MCMC_H
#define MCMC_H

#include<string>
#include<fstream>
#include<vector>
#include<gsl/gsl_rng.h>
#include"update.h"

// MCMC

class Mcmc{

 public:

  //Mcmc();
  Mcmc(State* mc_st);

  void run();

 private:
  State* mcmc_state;
};



// INLINES FOR CLASS MCMC 

inline Mcmc::Mcmc(State* mc_st)
{
  mcmc_state=mc_st;
}


#endif //MCMC_H
